let
	nixpkgs = import <nixpkgs>;

	buildPath = path:
		{system ? builtins.currentSystem}:
			let
				nixpkgsWithOverlays = nixpkgs {
					inherit system;
					overlays = [
						(import ../default.nix)
					];
				};
			in
				nixpkgsWithOverlays.lib.getAttr path nixpkgsWithOverlays;

	jobs = rec {
		xonotic = buildPath "xonotic";
	};
in jobs
